﻿using System;
using System.Collections.Generic;
using System.Linq;

using Foundation;
using Syncfusion.SfNumericTextBox.XForms.iOS;
using UIKit;
using NativeTextBox = Syncfusion.SfNumericTextBox.iOS.SfNumericTextBox;

namespace NumericTextDarkTheme.iOS
{
    // The UIApplicationDelegate for the application. This class is responsible for launching the 
    // User Interface of the application, as well as listening (and optionally responding) to 
    // application events from iOS.
    [Register("AppDelegate")]
    public partial class AppDelegate : global::Xamarin.Forms.Platform.iOS.FormsApplicationDelegate
    {
        //
        // This method is invoked when the application has loaded and is ready to run. In this 
        // method you should instantiate the window, load the UI into it and then make the window
        // visible.
        //
        // You have 17 seconds to return from this method, or iOS will terminate your application.
        //
        public override bool FinishedLaunching(UIApplication app, NSDictionary options)
        {
            global::Xamarin.Forms.Forms.Init();
            SfNumericTextBoxRenderer.Init();
            Xamarin.Forms.Forms.ViewInitialized += Forms_ViewInitialized;
            LoadApplication(new App());

            return base.FinishedLaunching(app, options);
        }

        private void Forms_ViewInitialized(object sender, Xamarin.Forms.ViewInitializedEventArgs e)
        {
            if (e.View != null && e.View is Syncfusion.SfNumericTextBox.XForms.SfNumericTextBox)
            {
                var formsNumericTextBox = e.View as Syncfusion.SfNumericTextBox.XForms.SfNumericTextBox;
                if (e.NativeView != null && e.NativeView is NativeTextBox)
                {
                   (e.NativeView as NativeTextBox).TextColor = UIColor.FromRGBA(float.Parse(formsNumericTextBox.TextColor.R.ToString()), float.Parse(formsNumericTextBox.TextColor.G.ToString()), float.Parse(formsNumericTextBox.TextColor.B.ToString()), float.Parse(formsNumericTextBox.TextColor.A.ToString()));
                }
            }
        }
    }
}
